Open SCAP Library

Data Structures | Typedefs | Functions
oval_affected.c File Reference

Open Vulnerability and Assessment Language. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "oval_definitions_impl.h"`
`#include "adt/oval_collection_impl.h"`
`#include "oval_parser_impl.h"`
`#include "adt/oval_string_map_impl.h"`
`#include "common/util.h"`
`#include "common/debug_priv.h"`
`#include "common/elements.h"`
`#include "common/_error.h"`

## Data Structures
struct | oval_affected
| Each OVAL Definition specifies certain type of affected system(s). More...

## Typedefs
typedef struct oval_affected | oval_affected_t

## Functions
bool | oval_affected_iterator_has_more (struct oval_affected_iterator *oc_affected)
struct oval_affected * | oval_affected_iterator_next (struct oval_affected_iterator *oc_affected)
void | oval_affected_iterator_free (struct oval_affected_iterator *oc_affected)
oval_affected_family_t | oval_affected_get_family (struct oval_affected *affected)
struct oval_string_iterator * | oval_affected_get_platforms (struct oval_affected *affected)
struct oval_string_iterator * | oval_affected_get_products (struct oval_affected *affected)
struct oval_affected * | oval_affected_new (struct oval_definition_model *model)
struct oval_affected * | oval_affected_clone (struct oval_definition_model *new_model, struct oval_affected *old_affected)
void | oval_affected_free (struct oval_affected *affected)
void | oval_affected_set_family (struct oval_affected *affected, oval_affected_family_t family)
void | oval_affected_add_platform (struct oval_affected *affected, char *platform)
void | oval_affected_add_product (struct oval_affected *affected, char *product)
const char * | oval_affected_family_get_text (oval_affected_family_t family)
int | oval_affected_parse_tag (xmlTextReaderPtr reader, struct oval_parser_context *context, oval_affected_consumer consumer, void *user)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/